> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# gleap-tickets

> Gleap Tickets - create, search, manage, and export support tickets

**Server path:** `/gleap-tickets` | **Type:** Application | **PCID required:** Yes

## Tools

| Tool                                                                                          | Description                                            |
| --------------------------------------------------------------------------------------------- | ------------------------------------------------------ |
| [`gleap_tickets_archive_all_tickets`](#gleap_tickets_archive_all_tickets)                     | Archive all tickets matching a status and type.        |
| [`gleap_tickets_archive_ticket`](#gleap_tickets_archive_ticket)                               | Archive a ticket                                       |
| [`gleap_tickets_create_ticket`](#gleap_tickets_create_ticket)                                 | Create a new ticket                                    |
| [`gleap_tickets_create_tracker_ticket`](#gleap_tickets_create_tracker_ticket)                 | Create a tracker ticket                                |
| [`gleap_tickets_delete_ticket`](#gleap_tickets_delete_ticket)                                 | Delete a ticket                                        |
| [`gleap_tickets_export_tickets`](#gleap_tickets_export_tickets)                               | Export tickets                                         |
| [`gleap_tickets_export_tickets_as_csv`](#gleap_tickets_export_tickets_as_csv)                 | Export tickets                                         |
| [`gleap_tickets_find_duplicates`](#gleap_tickets_find_duplicates)                             | Find duplicate feature requests                        |
| [`gleap_tickets_find_tickets_by_session_query`](#gleap_tickets_find_tickets_by_session_query) | Find tickets by session query                          |
| [`gleap_tickets_find_tracker_tickets`](#gleap_tickets_find_tracker_tickets)                   | Find tracker tickets                                   |
| [`gleap_tickets_generate_draft_reply`](#gleap_tickets_generate_draft_reply)                   | Generate AI draft reply                                |
| [`gleap_tickets_generate_tracker_ticket_data`](#gleap_tickets_generate_tracker_ticket_data)   | Generate tracker ticket data with AI                   |
| [`gleap_tickets_get_activity_logs_for_ticket`](#gleap_tickets_get_activity_logs_for_ticket)   | Get activity logs for a ticket                         |
| [`gleap_tickets_get_console_logs_for_ticket`](#gleap_tickets_get_console_logs_for_ticket)     | Get console logs for a ticket                          |
| [`gleap_tickets_get_network_logs_for_ticket`](#gleap_tickets_get_network_logs_for_ticket)     | Get network logs for a ticket                          |
| [`gleap_tickets_get_notification_ticket`](#gleap_tickets_get_notification_ticket)             | Get notification ticket                                |
| [`gleap_tickets_get_replay_for_ticket`](#gleap_tickets_get_replay_for_ticket)                 | Get network logs for a ticket                          |
| [`gleap_tickets_get_ticket`](#gleap_tickets_get_ticket)                                       | Get a ticket                                           |
| [`gleap_tickets_get_ticket_count`](#gleap_tickets_get_ticket_count)                           | Get ticket count                                       |
| [`gleap_tickets_get_ticket_export_fields`](#gleap_tickets_get_ticket_export_fields)           | GET /tickets/export-fields                             |
| [`gleap_tickets_get_tickets`](#gleap_tickets_get_tickets)                                     | Get all tickets                                        |
| [`gleap_tickets_indicate_user_typing`](#gleap_tickets_indicate_user_typing)                   | Indicate user typing                                   |
| [`gleap_tickets_indicate_user_viewing`](#gleap_tickets_indicate_user_viewing)                 | Indicate user viewing                                  |
| [`gleap_tickets_link_ticket`](#gleap_tickets_link_ticket)                                     | Link a ticket                                          |
| [`gleap_tickets_merge_duplicate_group`](#gleap_tickets_merge_duplicate_group)                 | Merge a duplicate group                                |
| [`gleap_tickets_merge_tickets`](#gleap_tickets_merge_tickets)                                 | Merge multiple tickets into one                        |
| [`gleap_tickets_run_workflow`](#gleap_tickets_run_workflow)                                   | Run workflow                                           |
| [`gleap_tickets_search_for_tickets`](#gleap_tickets_search_for_tickets)                       | Search for tickets                                     |
| [`gleap_tickets_search_for_tickets_extended`](#gleap_tickets_search_for_tickets_extended)     | Search for tickets                                     |
| [`gleap_tickets_send_ticket_to_integration`](#gleap_tickets_send_ticket_to_integration)       | Send ticket to integration                             |
| [`gleap_tickets_send_ticket_transcript`](#gleap_tickets_send_ticket_transcript)               | Send ticket conversation transcript to multiple emails |
| [`gleap_tickets_snooze_ticket`](#gleap_tickets_snooze_ticket)                                 | Snooze a ticket                                        |
| [`gleap_tickets_unarchive_ticket`](#gleap_tickets_unarchive_ticket)                           | Unarchive a ticket                                     |
| [`gleap_tickets_unlink_ticket`](#gleap_tickets_unlink_ticket)                                 | Unlink a ticket                                        |
| [`gleap_tickets_update_ticket`](#gleap_tickets_update_ticket)                                 | Update a ticket                                        |
| [`gleap_tickets_vote_for_ticket`](#gleap_tickets_vote_for_ticket)                             | Vote for ticket                                        |

***

## gleap\_tickets\_archive\_all\_tickets

Archive all tickets matching a status and type.

**Parameters:**

| Parameter | Type   | Required | Default | Description       |
| --------- | ------ | -------- | ------- | ----------------- |
| `project` | string | Yes      | —       | The project value |
| `status`  | string | Yes      | —       | The status value  |
| `type`    | string | Yes      | —       | The type value    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      },
      "status": {
        "type": "string",
        "description": "The status value"
      },
      "type": {
        "type": "string",
        "description": "The type value"
      }
    },
    "required": [
      "PCID",
      "project",
      "status",
      "type"
    ]
  }
  ```
</Expandable>

***

## gleap\_tickets\_archive\_ticket

Archive a ticket

**Parameters:**

| Parameter  | Type   | Required | Default | Description       |
| ---------- | ------ | -------- | ------- | ----------------- |
| `ticketId` | string | Yes      | —       | Ticket Id         |
| `project`  | string | Yes      | —       | The project value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ticketId": {
        "type": "string",
        "description": "Ticket Id"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      }
    },
    "required": [
      "PCID",
      "ticketId",
      "project"
    ]
  }
  ```
</Expandable>

***

## gleap\_tickets\_create\_ticket

Create a new ticket

**Parameters:**

| Parameter                    | Type      | Required | Default | Description                                           |
| ---------------------------- | --------- | -------- | ------- | ----------------------------------------------------- |
| `project`                    | string    | Yes      | —       | The project value                                     |
| `actionLog`                  | object    | No       | —       | Action Log                                            |
| `aiSummary`                  | string    | No       | —       | Ai Summary                                            |
| `aiSupportSummary`           | string    | No       | —       | Ai Support Summary                                    |
| `archived`                   | boolean   | No       | —       | The archived value                                    |
| `archivedAt`                 | string    | No       | —       | Archived At                                           |
| `attachments`                | object\[] | No       | —       | The attachments value                                 |
| `attributes`                 | object    | No       | —       | The attributes value                                  |
| `bot`                        | object    | No       | —       | The bot value                                         |
| `botId`                      | string    | No       | —       | Bot Id                                                |
| `bugId`                      | number    | No       | —       | Bug Id                                                |
| `channel`                    | object    | No       | —       | The channel value                                     |
| `consoleLog`                 | object    | No       | —       | Console Log                                           |
| `content`                    | object    | No       | —       | The content value                                     |
| `conversationClosed`         | boolean   | No       | —       | Conversation Closed                                   |
| `conversationRating`         | number    | No       | —       | Conversation Rating                                   |
| `customData`                 | object    | No       | —       | Custom Data                                           |
| `customEventLog`             | object    | No       | —       | Custom Event Log                                      |
| `description`                | string    | No       | —       | The description value                                 |
| `disabled`                   | boolean   | No       | —       | The disabled value                                    |
| `dueDate`                    | object    | No       | —       | Due Date                                              |
| `duplicateOf`                | string    | No       | —       | Duplicate Of                                          |
| `duplicatesCount`            | number    | No       | —       | Duplicates Count                                      |
| `emailRefs`                  | any\[]    | No       | —       | Email Refs                                            |
| `faqSuggested`               | boolean   | No       | —       | Faq Suggested                                         |
| `firstAssignmentAt`          | string    | No       | —       | First Assignment At                                   |
| `form`                       | object    | No       | —       | The form value                                        |
| `formData`                   | object    | No       | —       | Form Data                                             |
| `fromData`                   | object    | No       | —       | From Data                                             |
| `generatingReplay`           | boolean   | No       | —       | Generating Replay                                     |
| `generatingScreenshot`       | boolean   | No       | —       | Generating Screenshot                                 |
| `hasAgentReply`              | boolean   | No       | —       | Has Agent Reply                                       |
| `hasWebReplay`               | boolean   | No       | —       | Has Web Replay                                        |
| `hidden`                     | boolean   | No       | —       | The hidden value                                      |
| `imageUrl`                   | string    | No       | —       | Image Url                                             |
| `integrations`               | object    | No       | —       | Construct a type with a set of properties K of type T |
| `isManualStart`              | boolean   | No       | —       | Is Manual Start                                       |
| `isSilent`                   | boolean   | No       | —       | Is Silent                                             |
| `isSpam`                     | boolean   | No       | —       | Is Spam                                               |
| `lastNotification`           | string    | No       | —       | Last Notification                                     |
| `lastResponse`               | object    | No       | —       | Last Response                                         |
| `latestComment`              | string    | No       | —       | Latest Comment                                        |
| `latestPublicComment`        | string    | No       | —       | Latest Public Comment                                 |
| `lexorank`                   | string    | No       | —       | The lexorank value                                    |
| `linkedTickets`              | string\[] | No       | —       | Linked Tickets                                        |
| `manuallyAdded`              | boolean   | No       | —       | Manually Added                                        |
| `mentions`                   | string\[] | No       | —       | The mentions value                                    |
| `metaData`                   | object    | No       | —       | Meta Data                                             |
| `needInitialPush`            | boolean   | No       | —       | Need Initial Push                                     |
| `networkLogs`                | object    | No       | —       | Network Logs                                          |
| `noHumanInteraction`         | boolean   | No       | —       | No Human Interaction                                  |
| `notificationsUnread`        | boolean   | No       | —       | Notifications Unread                                  |
| `organisation`               | string    | No       | —       | The organisation value                                |
| `originalEmailContent`       | string    | No       | —       | Original Email Content                                |
| `outbound`                   | string    | No       | —       | The outbound value                                    |
| `plainContent`               | string    | No       | —       | Plain Content                                         |
| `preventAutoReply`           | boolean   | No       | —       | Prevent Auto Reply                                    |
| `priority`                   | string    | No       | —       | The priority value                                    |
| `processingTeam`             | string    | No       | —       | Processing Team                                       |
| `processingUser`             | string    | No       | —       | Processing User                                       |
| `queued`                     | boolean   | No       | —       | The queued value                                      |
| `queuedAt`                   | string    | No       | —       | Queued At                                             |
| `replay`                     | object    | No       | —       | The replay value                                      |
| `replayDataUrl`              | string    | No       | —       | Replay Data Url                                       |
| `replayLive`                 | boolean   | No       | —       | Replay Live                                           |
| `replayRenderingFailed`      | boolean   | No       | —       | Replay Rendering Failed                               |
| `replayRenderingStartedAt`   | string    | No       | —       | Replay Rendering Started At                           |
| `replayStartDate`            | string    | No       | —       | Replay Start Date                                     |
| `replayUrl`                  | string    | No       | —       | Replay Url                                            |
| `score`                      | number    | No       | —       | The score value                                       |
| `screenRecordingUrl`         | string    | No       | —       | Screen Recording Url                                  |
| `screenshotBroke`            | string    | No       | —       | Screenshot Broke                                      |
| `screenshotDataUrl`          | object    | No       | —       | Screenshot Data Url                                   |
| `screenshotLive`             | boolean   | No       | —       | Screenshot Live                                       |
| `screenshotRenderingFailed`  | boolean   | No       | —       | Screenshot Rendering Failed                           |
| `screenshotUrl`              | string    | No       | —       | Screenshot Url                                        |
| `secretShareToken`           | string    | No       | —       | Secret Share Token                                    |
| `sentiment`                  | string    | No       | —       | The sentiment value                                   |
| `session`                    | object    | No       | —       | The session value                                     |
| `sessionNotificationsUnread` | boolean   | No       | —       | Session Notifications Unread                          |
| `sessions`                   | any\[]    | No       | —       | The sessions value                                    |
| `shareToken`                 | string    | No       | —       | Share Token                                           |
| `slaBreached`                | boolean   | No       | —       | Sla Breached                                          |
| `snoozed`                    | boolean   | No       | —       | The snoozed value                                     |
| `snoozedUntil`               | string    | No       | —       | Snoozed Until                                         |
| `status`                     | string    | No       | —       | The status value                                      |
| `tags`                       | string\[] | No       | —       | The tags value                                        |
| `title`                      | string    | No       | —       | The title value                                       |
| `type`                       | string    | No       | —       | The type value                                        |
| `upvotes`                    | object\[] | No       | —       | The upvotes value                                     |
| `upvotesCount`               | number    | No       | —       | Upvotes Count                                         |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      },
      "actionLog": {
        "description": "Action Log"
      },
      "aiSummary": {
        "type": "string",
        "description": "Ai Summary"
      },
      "aiSupportSummary": {
        "type": "string",
        "description": "Ai Support Summary"
      },
      "archived": {
        "type": "boolean",
        "description": "The archived value"
      },
      "archivedAt": {
        "type": "string",
        "description": "Archived At"
      },
      "attachments": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "name": {
              "type": "string",
              "description": "The name value"
            },
            "url": {
              "type": "string",
              "description": "The url value"
            },
            "type": {
              "type": "string",
              "description": "The type value"
            }
          },
          "required": [
            "name",
            "url"
          ]
        },
        "description": "The attachments value"
      },
      "attributes": {
        "description": "The attributes value"
      },
      "bot": {
        "type": "object",
        "description": "The bot value",
        "properties": {
          "active": {
            "type": "boolean",
            "description": "The active value"
          },
          "currentBot": {
            "type": "string",
            "description": "Current Bot"
          },
          "currentActionFlow": {
            "type": "string",
            "description": "Current Action Flow"
          },
          "currentAction": {
            "type": "number",
            "description": "Current Action"
          },
          "forwardedToSupportAt": {
            "type": "string",
            "description": "Forwarded To Support At"
          },
          "kaiActive": {
            "type": "boolean",
            "description": "Kai Active"
          },
          "noAnswerFound": {
            "type": "boolean",
            "description": "No Answer Found"
          }
        }
      },
      "botId": {
        "type": "string",
        "description": "Bot Id"
      },
      "bugId": {
        "type": "number",
        "description": "Bug Id"
      },
      "channel": {
        "type": "object",
        "description": "The channel value",
        "properties": {
          "id": {
            "type": "string",
            "description": "The id value"
          },
          "type": {
            "type": "string",
            "description": "The type value"
          },
          "metaData": {
            "description": "Meta Data"
          }
        },
        "required": [
          "id"
        ]
      },
      "consoleLog": {
        "description": "Console Log"
      },
      "content": {
        "description": "The content value"
      },
      "conversationClosed": {
        "type": "boolean",
        "description": "Conversation Closed"
      },
      "conversationRating": {
        "type": "number",
        "description": "Conversation Rating"
      },
      "customData": {
        "description": "Custom Data"
      },
      "customEventLog": {
        "description": "Custom Event Log"
      },
      "description": {
        "type": "string",
        "description": "The description value"
      },
      "disabled": {
        "type": "boolean",
        "description": "The disabled value"
      },
      "dueDate": {
        "description": "Due Date"
      },
      "duplicateOf": {
        "type": "string",
        "description": "Duplicate Of"
      },
      "duplicatesCount": {
        "type": "number",
        "description": "Duplicates Count"
      },
      "emailRefs": {
        "type": "array",
        "description": "Email Refs"
      },
      "faqSuggested": {
        "type": "boolean",
        "description": "Faq Suggested"
      },
      "firstAssignmentAt": {
        "type": "string",
        "description": "First Assignment At"
      },
      "form": {
        "description": "The form value"
      },
      "formData": {
        "description": "Form Data"
      },
      "fromData": {
        "description": "From Data"
      },
      "generatingReplay": {
        "type": "boolean",
        "description": "Generating Replay"
      },
      "generatingScreenshot": {
        "type": "boolean",
        "description": "Generating Screenshot"
      },
      "hasAgentReply": {
        "type": "boolean",
        "description": "Has Agent Reply"
      },
      "hasWebReplay": {
        "type": "boolean",
        "description": "Has Web Replay"
      },
      "hidden": {
        "type": "boolean",
        "description": "The hidden value"
      },
      "imageUrl": {
        "type": "string",
        "description": "Image Url"
      },
      "integrations": {
        "type": "object",
        "description": "Construct a type with a set of properties K of type T"
      },
      "isManualStart": {
        "type": "boolean",
        "description": "Is Manual Start"
      },
      "isSilent": {
        "type": "boolean",
        "description": "Is Silent"
      },
      "isSpam": {
        "type": "boolean",
        "description": "Is Spam"
      },
      "lastNotification": {
        "type": "string",
        "description": "Last Notification"
      },
      "lastResponse": {
        "type": "object",
        "description": "Last Response",
        "properties": {
          "contact": {
            "type": "string",
            "description": "The contact value"
          },
          "admin": {
            "type": "string",
            "description": "The admin value"
          }
        }
      },
      "latestComment": {
        "type": "string",
        "description": "Latest Comment"
      },
      "latestPublicComment": {
        "type": "string",
        "description": "Latest Public Comment"
      },
      "lexorank": {
        "type": "string",
        "description": "The lexorank value"
      },
      "linkedTickets": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Linked Tickets"
      },
      "manuallyAdded": {
        "type": "boolean",
        "description": "Manually Added"
      },
      "mentions": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "The mentions value"
      },
      "metaData": {
        "description": "Meta Data"
      },
      "needInitialPush": {
        "type": "boolean",
        "description": "Need Initial Push"
      },
      "networkLogs": {
        "description": "Network Logs"
      },
      "noHumanInteraction": {
        "type": "boolean",
        "description": "No Human Interaction"
      },
      "notificationsUnread": {
        "type": "boolean",
        "description": "Notifications Unread"
      },
      "organisation": {
        "type": "string",
        "description": "The organisation value"
      },
      "originalEmailContent": {
        "type": "string",
        "description": "Original Email Content"
      },
      "outbound": {
        "type": "string",
        "description": "The outbound value"
      },
      "plainContent": {
        "type": "string",
        "description": "Plain Content"
      },
      "preventAutoReply": {
        "type": "boolean",
        "description": "Prevent Auto Reply"
      },
      "priority": {
        "type": "string",
        "description": "The priority value",
        "enum": [
          "LOW",
          "MEDIUM",
          "HIGH"
        ]
      },
      "processingTeam": {
        "type": "string",
        "description": "Processing Team"
      },
      "processingUser": {
        "type": "string",
        "description": "Processing User"
      },
      "queued": {
        "type": "boolean",
        "description": "The queued value"
      },
      "queuedAt": {
        "type": "string",
        "description": "Queued At"
      },
      "replay": {
        "description": "The replay value"
      },
      "replayDataUrl": {
        "type": "string",
        "description": "Replay Data Url"
      },
      "replayLive": {
        "type": "boolean",
        "description": "Replay Live"
      },
      "replayRenderingFailed": {
        "type": "boolean",
        "description": "Replay Rendering Failed"
      },
      "replayRenderingStartedAt": {
        "type": "string",
        "description": "Replay Rendering Started At"
      },
      "replayStartDate": {
        "type": "string",
        "description": "Replay Start Date"
      },
      "replayUrl": {
        "type": "string",
        "description": "Replay Url"
      },
      "score": {
        "type": "number",
        "description": "The score value"
      },
      "screenRecordingUrl": {
        "type": "string",
        "description": "Screen Recording Url"
      },
      "screenshotBroke": {
        "type": "string",
        "description": "Screenshot Broke"
      },
      "screenshotDataUrl": {
        "description": "Screenshot Data Url"
      },
      "screenshotLive": {
        "type": "boolean",
        "description": "Screenshot Live"
      },
      "screenshotRenderingFailed": {
        "type": "boolean",
        "description": "Screenshot Rendering Failed"
      },
      "screenshotUrl": {
        "type": "string",
        "description": "Screenshot Url"
      },
      "secretShareToken": {
        "type": "string",
        "description": "Secret Share Token"
      },
      "sentiment": {
        "type": "string",
        "description": "The sentiment value",
        "enum": [
          "positive",
          "negative",
          "neutral"
        ]
      },
      "session": {
        "description": "The session value"
      },
      "sessionNotificationsUnread": {
        "type": "boolean",
        "description": "Session Notifications Unread"
      },
      "sessions": {
        "type": "array",
        "description": "The sessions value"
      },
      "shareToken": {
        "type": "string",
        "description": "Share Token"
      },
      "slaBreached": {
        "type": "boolean",
        "description": "Sla Breached"
      },
      "snoozed": {
        "type": "boolean",
        "description": "The snoozed value"
      },
      "snoozedUntil": {
        "type": "string",
        "description": "Snoozed Until"
      },
      "status": {
        "type": "string",
        "description": "The status value"
      },
      "tags": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "The tags value"
      },
      "title": {
        "type": "string",
        "description": "The title value"
      },
      "type": {
        "type": "string",
        "description": "The type value"
      },
      "upvotes": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "email": {
              "type": "string",
              "description": "The email value"
            }
          }
        },
        "description": "The upvotes value"
      },
      "upvotesCount": {
        "type": "number",
        "description": "Upvotes Count"
      }
    },
    "required": [
      "PCID",
      "project"
    ]
  }
  ```
</Expandable>

***

## gleap\_tickets\_create\_tracker\_ticket

Create a tracker ticket

**Parameters:**

| Parameter         | Type      | Required | Default | Description           |
| ----------------- | --------- | -------- | ------- | --------------------- |
| `project`         | string    | Yes      | —       | The project value     |
| `description`     | string    | No       | —       | The description value |
| `linkedTicketIds` | string\[] | No       | —       | Linked Ticket Ids     |
| `title`           | string    | No       | —       | The title value       |
| `type`            | string    | No       | —       | The type value        |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      },
      "description": {
        "type": "string",
        "description": "The description value"
      },
      "linkedTicketIds": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Linked Ticket Ids"
      },
      "title": {
        "type": "string",
        "description": "The title value"
      },
      "type": {
        "type": "string",
        "description": "The type value"
      }
    },
    "required": [
      "PCID",
      "project"
    ]
  }
  ```
</Expandable>

***

## gleap\_tickets\_delete\_ticket

Delete a ticket

**Parameters:**

| Parameter  | Type   | Required | Default | Description       |
| ---------- | ------ | -------- | ------- | ----------------- |
| `ticketId` | string | Yes      | —       | Ticket Id         |
| `project`  | string | Yes      | —       | The project value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ticketId": {
        "type": "string",
        "description": "Ticket Id"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      }
    },
    "required": [
      "PCID",
      "ticketId",
      "project"
    ]
  }
  ```
</Expandable>

***

## gleap\_tickets\_export\_tickets

Export tickets

**Parameters:**

| Parameter | Type   | Required | Default | Description       |
| --------- | ------ | -------- | ------- | ----------------- |
| `project` | string | Yes      | —       | The project value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      }
    },
    "required": [
      "PCID",
      "project"
    ]
  }
  ```
</Expandable>

***

## gleap\_tickets\_export\_tickets\_as\_csv

Export tickets

**Parameters:**

| Parameter | Type   | Required | Default | Description       |
| --------- | ------ | -------- | ------- | ----------------- |
| `project` | string | Yes      | —       | The project value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      }
    },
    "required": [
      "PCID",
      "project"
    ]
  }
  ```
</Expandable>

***

## gleap\_tickets\_find\_duplicates

Find duplicate feature requests

**Parameters:**

| Parameter | Type   | Required | Default | Description       |
| --------- | ------ | -------- | ------- | ----------------- |
| `project` | string | No       | —       | The project value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## gleap\_tickets\_find\_tickets\_by\_session\_query

Find tickets by session query

**Parameters:**

| Parameter        | Type   | Required | Default | Description       |
| ---------------- | ------ | -------- | ------- | ----------------- |
| `project`        | string | Yes      | —       | The project value |
| `email`          | string | No       | —       | The email value   |
| `userId`         | string | No       | —       | User Id           |
| `phone`          | string | No       | —       | The phone value   |
| `customData.TIN` | string | No       | —       | Custom Data.tin   |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      },
      "email": {
        "type": "string",
        "description": "The email value"
      },
      "userId": {
        "type": "string",
        "description": "User Id"
      },
      "phone": {
        "type": "string",
        "description": "The phone value"
      },
      "customData.TIN": {
        "type": "string",
        "description": "Custom Data.tin"
      }
    },
    "required": [
      "PCID",
      "project"
    ]
  }
  ```
</Expandable>

***

## gleap\_tickets\_find\_tracker\_tickets

Find tracker tickets

**Parameters:**

| Parameter    | Type   | Required | Default | Description                   |
| ------------ | ------ | -------- | ------- | ----------------------------- |
| `project`    | string | Yes      | —       | The project value             |
| `searchTerm` | string | No       | —       | Search term to filter results |
| `page`       | number | No       | —       | Page number for pagination    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      },
      "searchTerm": {
        "type": "string",
        "description": "Search term to filter results"
      },
      "page": {
        "type": "number",
        "description": "Page number for pagination"
      }
    },
    "required": [
      "PCID",
      "project"
    ]
  }
  ```
</Expandable>

***

## gleap\_tickets\_generate\_draft\_reply

Generate AI draft reply

**Parameters:**

| Parameter  | Type   | Required | Default | Description       |
| ---------- | ------ | -------- | ------- | ----------------- |
| `ticketId` | string | Yes      | —       | Ticket Id         |
| `project`  | string | Yes      | —       | The project value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ticketId": {
        "type": "string",
        "description": "Ticket Id"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      }
    },
    "required": [
      "PCID",
      "ticketId",
      "project"
    ]
  }
  ```
</Expandable>

***

## gleap\_tickets\_generate\_tracker\_ticket\_data

Generate tracker ticket data with AI

**Parameters:**

| Parameter        | Type   | Required | Default | Description       |
| ---------------- | ------ | -------- | ------- | ----------------- |
| `project`        | string | Yes      | —       | The project value |
| `sourceTicketId` | string | No       | —       | Source Ticket Id  |
| `type`           | string | No       | —       | The type value    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      },
      "sourceTicketId": {
        "type": "string",
        "description": "Source Ticket Id"
      },
      "type": {
        "type": "string",
        "description": "The type value"
      }
    },
    "required": [
      "PCID",
      "project"
    ]
  }
  ```
</Expandable>

***

## gleap\_tickets\_get\_activity\_logs\_for\_ticket

Get activity logs for a ticket

**Parameters:**

| Parameter  | Type   | Required | Default | Description       |
| ---------- | ------ | -------- | ------- | ----------------- |
| `ticketId` | string | Yes      | —       | Ticket Id         |
| `project`  | string | Yes      | —       | The project value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ticketId": {
        "type": "string",
        "description": "Ticket Id"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      }
    },
    "required": [
      "PCID",
      "ticketId",
      "project"
    ]
  }
  ```
</Expandable>

***

## gleap\_tickets\_get\_console\_logs\_for\_ticket

Get console logs for a ticket

**Parameters:**

| Parameter  | Type   | Required | Default | Description       |
| ---------- | ------ | -------- | ------- | ----------------- |
| `ticketId` | string | Yes      | —       | Ticket Id         |
| `project`  | string | Yes      | —       | The project value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ticketId": {
        "type": "string",
        "description": "Ticket Id"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      }
    },
    "required": [
      "PCID",
      "ticketId",
      "project"
    ]
  }
  ```
</Expandable>

***

## gleap\_tickets\_get\_network\_logs\_for\_ticket

Get network logs for a ticket

**Parameters:**

| Parameter  | Type   | Required | Default | Description       |
| ---------- | ------ | -------- | ------- | ----------------- |
| `ticketId` | string | Yes      | —       | Ticket Id         |
| `project`  | string | Yes      | —       | The project value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ticketId": {
        "type": "string",
        "description": "Ticket Id"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      }
    },
    "required": [
      "PCID",
      "ticketId",
      "project"
    ]
  }
  ```
</Expandable>

***

## gleap\_tickets\_get\_notification\_ticket

Get notification ticket

**Parameters:**

| Parameter    | Type   | Required | Default | Description       |
| ------------ | ------ | -------- | ------- | ----------------- |
| `project`    | string | Yes      | —       | The project value |
| `shareToken` | string | Yes      | —       | Share Token       |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      },
      "shareToken": {
        "type": "string",
        "description": "Share Token"
      }
    },
    "required": [
      "PCID",
      "project",
      "shareToken"
    ]
  }
  ```
</Expandable>

***

## gleap\_tickets\_get\_replay\_for\_ticket

Get network logs for a ticket

**Parameters:**

| Parameter  | Type   | Required | Default | Description       |
| ---------- | ------ | -------- | ------- | ----------------- |
| `ticketId` | string | Yes      | —       | Ticket Id         |
| `project`  | string | Yes      | —       | The project value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ticketId": {
        "type": "string",
        "description": "Ticket Id"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      }
    },
    "required": [
      "PCID",
      "ticketId",
      "project"
    ]
  }
  ```
</Expandable>

***

## gleap\_tickets\_get\_ticket

Get a ticket

**Parameters:**

| Parameter  | Type   | Required | Default | Description       |
| ---------- | ------ | -------- | ------- | ----------------- |
| `ticketId` | string | Yes      | —       | Ticket Id         |
| `project`  | string | Yes      | —       | The project value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ticketId": {
        "type": "string",
        "description": "Ticket Id"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      }
    },
    "required": [
      "PCID",
      "ticketId",
      "project"
    ]
  }
  ```
</Expandable>

***

## gleap\_tickets\_get\_ticket\_count

Get ticket count

**Parameters:**

| Parameter | Type   | Required | Default | Description       |
| --------- | ------ | -------- | ------- | ----------------- |
| `project` | string | Yes      | —       | The project value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      }
    },
    "required": [
      "PCID",
      "project"
    ]
  }
  ```
</Expandable>

***

## gleap\_tickets\_get\_ticket\_export\_fields

GET /tickets/export-fields

**Parameters:**

| Parameter | Type   | Required | Default | Description       |
| --------- | ------ | -------- | ------- | ----------------- |
| `project` | string | Yes      | —       | The project value |
| `type`    | string | No       | —       | The type value    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      },
      "type": {
        "type": "string",
        "description": "The type value"
      }
    },
    "required": [
      "PCID",
      "project"
    ]
  }
  ```
</Expandable>

***

## gleap\_tickets\_get\_tickets

Get all tickets

**Parameters:**

| Parameter | Type   | Required | Default | Description       |
| --------- | ------ | -------- | ------- | ----------------- |
| `project` | string | Yes      | —       | The project value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      }
    },
    "required": [
      "PCID",
      "project"
    ]
  }
  ```
</Expandable>

***

## gleap\_tickets\_indicate\_user\_typing

Indicate user typing

**Parameters:**

| Parameter  | Type    | Required | Default | Description       |
| ---------- | ------- | -------- | ------- | ----------------- |
| `ticketId` | string  | Yes      | —       | Ticket Id         |
| `project`  | string  | Yes      | —       | The project value |
| `typing`   | boolean | Yes      | —       | The typing value  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ticketId": {
        "type": "string",
        "description": "Ticket Id"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      },
      "typing": {
        "type": "boolean",
        "description": "The typing value"
      }
    },
    "required": [
      "PCID",
      "ticketId",
      "project",
      "typing"
    ]
  }
  ```
</Expandable>

***

## gleap\_tickets\_indicate\_user\_viewing

Indicate user viewing

**Parameters:**

| Parameter  | Type    | Required | Default | Description       |
| ---------- | ------- | -------- | ------- | ----------------- |
| `ticketId` | string  | Yes      | —       | Ticket Id         |
| `project`  | string  | Yes      | —       | The project value |
| `viewing`  | boolean | Yes      | —       | The viewing value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ticketId": {
        "type": "string",
        "description": "Ticket Id"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      },
      "viewing": {
        "type": "boolean",
        "description": "The viewing value"
      }
    },
    "required": [
      "PCID",
      "ticketId",
      "project",
      "viewing"
    ]
  }
  ```
</Expandable>

***

## gleap\_tickets\_link\_ticket

Link a ticket

**Parameters:**

| Parameter        | Type   | Required | Default | Description       |
| ---------------- | ------ | -------- | ------- | ----------------- |
| `ticketId`       | string | Yes      | —       | Ticket Id         |
| `project`        | string | Yes      | —       | The project value |
| `targetTicketId` | string | Yes      | —       | Target Ticket Id  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ticketId": {
        "type": "string",
        "description": "Ticket Id"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      },
      "targetTicketId": {
        "type": "string",
        "description": "Target Ticket Id"
      }
    },
    "required": [
      "PCID",
      "ticketId",
      "project",
      "targetTicketId"
    ]
  }
  ```
</Expandable>

***

## gleap\_tickets\_merge\_duplicate\_group

Merge a duplicate group

**Parameters:**

| Parameter            | Type      | Required | Default | Description          |
| -------------------- | --------- | -------- | ------- | -------------------- |
| `project`            | string    | Yes      | —       | The project value    |
| `duplicateTicketIds` | string\[] | Yes      | —       | Duplicate Ticket Ids |
| `mainTicketId`       | string    | Yes      | —       | Main Ticket Id       |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      },
      "duplicateTicketIds": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Duplicate Ticket Ids"
      },
      "mainTicketId": {
        "type": "string",
        "description": "Main Ticket Id"
      }
    },
    "required": [
      "PCID",
      "project",
      "duplicateTicketIds",
      "mainTicketId"
    ]
  }
  ```
</Expandable>

***

## gleap\_tickets\_merge\_tickets

Merge multiple tickets into one

**Parameters:**

| Parameter               | Type      | Required | Default | Description              |
| ----------------------- | --------- | -------- | ------- | ------------------------ |
| `project`               | string    | Yes      | —       | The project value        |
| `shouldCreateNewTicket` | boolean   | Yes      | —       | Should Create New Ticket |
| `shouldMergeContacts`   | boolean   | Yes      | —       | Should Merge Contacts    |
| `shouldMergeTasks`      | boolean   | Yes      | —       | Should Merge Tasks       |
| `targetTicketId`        | string    | No       | —       | Target Ticket Id         |
| `ticketsToMergeIds`     | string\[] | Yes      | —       | Tickets To Merge Ids     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      },
      "shouldCreateNewTicket": {
        "type": "boolean",
        "description": "Should Create New Ticket"
      },
      "shouldMergeContacts": {
        "type": "boolean",
        "description": "Should Merge Contacts"
      },
      "shouldMergeTasks": {
        "type": "boolean",
        "description": "Should Merge Tasks"
      },
      "targetTicketId": {
        "type": "string",
        "description": "Target Ticket Id"
      },
      "ticketsToMergeIds": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Tickets To Merge Ids"
      }
    },
    "required": [
      "PCID",
      "project",
      "shouldCreateNewTicket",
      "shouldMergeContacts",
      "shouldMergeTasks",
      "ticketsToMergeIds"
    ]
  }
  ```
</Expandable>

***

## gleap\_tickets\_run\_workflow

Run workflow

**Parameters:**

| Parameter    | Type   | Required | Default | Description       |
| ------------ | ------ | -------- | ------- | ----------------- |
| `ticketId`   | string | Yes      | —       | Ticket Id         |
| `project`    | string | Yes      | —       | The project value |
| `workflowId` | string | Yes      | —       | Workflow Id       |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ticketId": {
        "type": "string",
        "description": "Ticket Id"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      },
      "workflowId": {
        "type": "string",
        "description": "Workflow Id"
      }
    },
    "required": [
      "PCID",
      "ticketId",
      "project",
      "workflowId"
    ]
  }
  ```
</Expandable>

***

## gleap\_tickets\_search\_for\_tickets

Search for tickets

**Parameters:**

| Parameter | Type   | Required | Default | Description       |
| --------- | ------ | -------- | ------- | ----------------- |
| `project` | string | Yes      | —       | The project value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      }
    },
    "required": [
      "PCID",
      "project"
    ]
  }
  ```
</Expandable>

***

## gleap\_tickets\_search\_for\_tickets\_extended

Search for tickets

**Parameters:**

| Parameter | Type   | Required | Default | Description       |
| --------- | ------ | -------- | ------- | ----------------- |
| `project` | string | Yes      | —       | The project value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      }
    },
    "required": [
      "PCID",
      "project"
    ]
  }
  ```
</Expandable>

***

## gleap\_tickets\_send\_ticket\_to\_integration

Send ticket to integration

**Parameters:**

| Parameter         | Type   | Required | Default | Description       |
| ----------------- | ------ | -------- | ------- | ----------------- |
| `ticketId`        | string | Yes      | —       | Ticket Id         |
| `project`         | string | Yes      | —       | The project value |
| `integrationId`   | string | Yes      | —       | Integration Id    |
| `integrationType` | string | Yes      | —       | Integration Type  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ticketId": {
        "type": "string",
        "description": "Ticket Id"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      },
      "integrationId": {
        "type": "string",
        "description": "Integration Id"
      },
      "integrationType": {
        "type": "string",
        "description": "Integration Type"
      }
    },
    "required": [
      "PCID",
      "ticketId",
      "project",
      "integrationId",
      "integrationType"
    ]
  }
  ```
</Expandable>

***

## gleap\_tickets\_send\_ticket\_transcript

Send ticket conversation transcript to multiple emails

**Parameters:**

| Parameter  | Type      | Required | Default | Description       |
| ---------- | --------- | -------- | ------- | ----------------- |
| `ticketId` | string    | Yes      | —       | Ticket Id         |
| `project`  | string    | Yes      | —       | The project value |
| `emails`   | string\[] | Yes      | —       | The emails value  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ticketId": {
        "type": "string",
        "description": "Ticket Id"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      },
      "emails": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "The emails value"
      }
    },
    "required": [
      "PCID",
      "ticketId",
      "project",
      "emails"
    ]
  }
  ```
</Expandable>

***

## gleap\_tickets\_snooze\_ticket

Snooze a ticket

**Parameters:**

| Parameter  | Type   | Required | Default | Description        |
| ---------- | ------ | -------- | ------- | ------------------ |
| `ticketId` | string | Yes      | —       | Ticket Id          |
| `project`  | string | Yes      | —       | The project value  |
| `duration` | number | Yes      | —       | The duration value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ticketId": {
        "type": "string",
        "description": "Ticket Id"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      },
      "duration": {
        "type": "number",
        "description": "The duration value"
      }
    },
    "required": [
      "PCID",
      "ticketId",
      "project",
      "duration"
    ]
  }
  ```
</Expandable>

***

## gleap\_tickets\_unarchive\_ticket

Unarchive a ticket

**Parameters:**

| Parameter  | Type   | Required | Default | Description       |
| ---------- | ------ | -------- | ------- | ----------------- |
| `ticketId` | string | Yes      | —       | Ticket Id         |
| `project`  | string | Yes      | —       | The project value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ticketId": {
        "type": "string",
        "description": "Ticket Id"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      }
    },
    "required": [
      "PCID",
      "ticketId",
      "project"
    ]
  }
  ```
</Expandable>

***

## gleap\_tickets\_unlink\_ticket

Unlink a ticket

**Parameters:**

| Parameter        | Type   | Required | Default | Description       |
| ---------------- | ------ | -------- | ------- | ----------------- |
| `ticketId`       | string | Yes      | —       | Ticket Id         |
| `project`        | string | Yes      | —       | The project value |
| `targetTicketId` | string | Yes      | —       | Target Ticket Id  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ticketId": {
        "type": "string",
        "description": "Ticket Id"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      },
      "targetTicketId": {
        "type": "string",
        "description": "Target Ticket Id"
      }
    },
    "required": [
      "PCID",
      "ticketId",
      "project",
      "targetTicketId"
    ]
  }
  ```
</Expandable>

***

## gleap\_tickets\_update\_ticket

Update a ticket

**Parameters:**

| Parameter                    | Type      | Required | Default | Description                                           |
| ---------------------------- | --------- | -------- | ------- | ----------------------------------------------------- |
| `ticketId`                   | string    | Yes      | —       | Ticket Id                                             |
| `project`                    | string    | Yes      | —       | The project value                                     |
| `actionLog`                  | object    | No       | —       | Action Log                                            |
| `aiSummary`                  | string    | No       | —       | Ai Summary                                            |
| `aiSupportSummary`           | string    | No       | —       | Ai Support Summary                                    |
| `archived`                   | boolean   | No       | —       | The archived value                                    |
| `archivedAt`                 | string    | No       | —       | Archived At                                           |
| `attachments`                | object\[] | No       | —       | The attachments value                                 |
| `attributes`                 | object    | No       | —       | The attributes value                                  |
| `bot`                        | object    | No       | —       | The bot value                                         |
| `bugId`                      | number    | No       | —       | Bug Id                                                |
| `channel`                    | object    | No       | —       | The channel value                                     |
| `content`                    | object    | No       | —       | The content value                                     |
| `conversationClosed`         | boolean   | No       | —       | Conversation Closed                                   |
| `conversationRating`         | number    | No       | —       | Conversation Rating                                   |
| `customData`                 | object    | No       | —       | Custom Data                                           |
| `description`                | string    | No       | —       | The description value                                 |
| `disabled`                   | boolean   | No       | —       | The disabled value                                    |
| `dueDate`                    | object    | No       | —       | Due Date                                              |
| `duplicateOf`                | string    | No       | —       | Duplicate Of                                          |
| `duplicatesCount`            | number    | No       | —       | Duplicates Count                                      |
| `emailRefs`                  | any\[]    | No       | —       | Email Refs                                            |
| `faqSuggested`               | boolean   | No       | —       | Faq Suggested                                         |
| `firstAssignmentAt`          | string    | No       | —       | First Assignment At                                   |
| `form`                       | object    | No       | —       | The form value                                        |
| `formData`                   | object    | No       | —       | Form Data                                             |
| `fromData`                   | object    | No       | —       | From Data                                             |
| `generatingReplay`           | boolean   | No       | —       | Generating Replay                                     |
| `generatingScreenshot`       | boolean   | No       | —       | Generating Screenshot                                 |
| `hasAgentReply`              | boolean   | No       | —       | Has Agent Reply                                       |
| `hasWebReplay`               | boolean   | No       | —       | Has Web Replay                                        |
| `hidden`                     | boolean   | No       | —       | The hidden value                                      |
| `imageUrl`                   | string    | No       | —       | Image Url                                             |
| `integrations`               | object    | No       | —       | Construct a type with a set of properties K of type T |
| `isSilent`                   | boolean   | No       | —       | Is Silent                                             |
| `isSpam`                     | boolean   | No       | —       | Is Spam                                               |
| `lastNotification`           | string    | No       | —       | Last Notification                                     |
| `lastResponse`               | object    | No       | —       | Last Response                                         |
| `latestComment`              | string    | No       | —       | Latest Comment                                        |
| `latestPublicComment`        | string    | No       | —       | Latest Public Comment                                 |
| `lexorank`                   | string    | No       | —       | The lexorank value                                    |
| `linkedTickets`              | string\[] | No       | —       | Linked Tickets                                        |
| `manuallyAdded`              | boolean   | No       | —       | Manually Added                                        |
| `mentions`                   | string\[] | No       | —       | The mentions value                                    |
| `metaData`                   | object    | No       | —       | Meta Data                                             |
| `needInitialPush`            | boolean   | No       | —       | Need Initial Push                                     |
| `noHumanInteraction`         | boolean   | No       | —       | No Human Interaction                                  |
| `notificationsUnread`        | boolean   | No       | —       | Notifications Unread                                  |
| `organisation`               | string    | No       | —       | The organisation value                                |
| `originalEmailContent`       | string    | No       | —       | Original Email Content                                |
| `outbound`                   | string    | No       | —       | The outbound value                                    |
| `plainContent`               | string    | No       | —       | Plain Content                                         |
| `priority`                   | string    | No       | —       | The priority value                                    |
| `processingTeam`             | string    | No       | —       | Processing Team                                       |
| `processingUser`             | string    | No       | —       | Processing User                                       |
| `queued`                     | boolean   | No       | —       | The queued value                                      |
| `queuedAt`                   | string    | No       | —       | Queued At                                             |
| `replay`                     | object    | No       | —       | The replay value                                      |
| `replayDataUrl`              | string    | No       | —       | Replay Data Url                                       |
| `replayLive`                 | boolean   | No       | —       | Replay Live                                           |
| `replayRenderingFailed`      | boolean   | No       | —       | Replay Rendering Failed                               |
| `replayRenderingStartedAt`   | string    | No       | —       | Replay Rendering Started At                           |
| `replayStartDate`            | string    | No       | —       | Replay Start Date                                     |
| `replayUrl`                  | string    | No       | —       | Replay Url                                            |
| `score`                      | number    | No       | —       | The score value                                       |
| `screenRecordingUrl`         | string    | No       | —       | Screen Recording Url                                  |
| `screenshotBroke`            | string    | No       | —       | Screenshot Broke                                      |
| `screenshotDataUrl`          | object    | No       | —       | Screenshot Data Url                                   |
| `screenshotLive`             | boolean   | No       | —       | Screenshot Live                                       |
| `screenshotRenderingFailed`  | boolean   | No       | —       | Screenshot Rendering Failed                           |
| `screenshotUrl`              | string    | No       | —       | Screenshot Url                                        |
| `secretShareToken`           | string    | No       | —       | Secret Share Token                                    |
| `sentiment`                  | string    | No       | —       | The sentiment value                                   |
| `session`                    | object    | No       | —       | The session value                                     |
| `sessionNotificationsUnread` | boolean   | No       | —       | Session Notifications Unread                          |
| `sessions`                   | any\[]    | No       | —       | The sessions value                                    |
| `shareToken`                 | string    | No       | —       | Share Token                                           |
| `slaBreached`                | boolean   | No       | —       | Sla Breached                                          |
| `snoozed`                    | boolean   | No       | —       | The snoozed value                                     |
| `snoozedUntil`               | string    | No       | —       | Snoozed Until                                         |
| `status`                     | string    | No       | —       | The status value                                      |
| `tags`                       | string\[] | No       | —       | The tags value                                        |
| `title`                      | string    | No       | —       | The title value                                       |
| `type`                       | string    | No       | —       | The type value                                        |
| `upvotes`                    | object\[] | No       | —       | The upvotes value                                     |
| `upvotesCount`               | number    | No       | —       | Upvotes Count                                         |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ticketId": {
        "type": "string",
        "description": "Ticket Id"
      },
      "project": {
        "type": "string",
        "description": "The project value"
      },
      "actionLog": {
        "description": "Action Log"
      },
      "aiSummary": {
        "type": "string",
        "description": "Ai Summary"
      },
      "aiSupportSummary": {
        "type": "string",
        "description": "Ai Support Summary"
      },
      "archived": {
        "type": "boolean",
        "description": "The archived value"
      },
      "archivedAt": {
        "type": "string",
        "description": "Archived At"
      },
      "attachments": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "name": {
              "type": "string",
              "description": "The name value"
            },
            "url": {
              "type": "string",
              "description": "The url value"
            },
            "type": {
              "type": "string",
              "description": "The type value"
            }
          },
          "required": [
            "name",
            "url"
          ]
        },
        "description": "The attachments value"
      },
      "attributes": {
        "description": "The attributes value"
      },
      "bot": {
        "type": "object",
        "description": "The bot value",
        "properties": {
          "active": {
            "type": "boolean",
            "description": "The active value"
          },
          "currentBot": {
            "type": "string",
            "description": "Current Bot"
          },
          "currentActionFlow": {
            "type": "string",
            "description": "Current Action Flow"
          },
          "currentAction": {
            "type": "number",
            "description": "Current Action"
          },
          "forwardedToSupportAt": {
            "type": "string",
            "description": "Forwarded To Support At"
          },
          "kaiActive": {
            "type": "boolean",
            "description": "Kai Active"
          },
          "noAnswerFound": {
            "type": "boolean",
            "description": "No Answer Found"
          }
        }
      },
      "bugId": {
        "type": "number",
        "description": "Bug Id"
      },
      "channel": {
        "type": "object",
        "description": "The channel value",
        "properties": {
          "id": {
            "type": "string",
            "description": "The id value"
          },
          "type": {
            "type": "string",
            "description": "The type value"
          },
          "metaData": {
            "description": "Meta Data"
          }
        },
        "required": [
          "id"
        ]
      },
      "content": {
        "description": "The content value"
      },
      "conversationClosed": {
        "type": "boolean",
        "description": "Conversation Closed"
      },
      "conversationRating": {
        "type": "number",
        "description": "Conversation Rating"
      },
      "customData": {
        "description": "Custom Data"
      },
      "description": {
        "type": "string",
        "description": "The description value"
      },
      "disabled": {
        "type": "boolean",
        "description": "The disabled value"
      },
      "dueDate": {
        "description": "Due Date"
      },
      "duplicateOf": {
        "type": "string",
        "description": "Duplicate Of"
      },
      "duplicatesCount": {
        "type": "number",
        "description": "Duplicates Count"
      },
      "emailRefs": {
        "type": "array",
        "description": "Email Refs"
      },
      "faqSuggested": {
        "type": "boolean",
        "description": "Faq Suggested"
      },
      "firstAssignmentAt": {
        "type": "string",
        "description": "First Assignment At"
      },
      "form": {
        "description": "The form value"
      },
      "formData": {
        "description": "Form Data"
      },
      "fromData": {
        "description": "From Data"
      },
      "generatingReplay": {
        "type": "boolean",
        "description": "Generating Replay"
      },
      "generatingScreenshot": {
        "type": "boolean",
        "description": "Generating Screenshot"
      },
      "hasAgentReply": {
        "type": "boolean",
        "description": "Has Agent Reply"
      },
      "hasWebReplay": {
        "type": "boolean",
        "description": "Has Web Replay"
      },
      "hidden": {
        "type": "boolean",
        "description": "The hidden value"
      },
      "imageUrl": {
        "type": "string",
        "description": "Image Url"
      },
      "integrations": {
        "type": "object",
        "description": "Construct a type with a set of properties K of type T"
      },
      "isSilent": {
        "type": "boolean",
        "description": "Is Silent"
      },
      "isSpam": {
        "type": "boolean",
        "description": "Is Spam"
      },
      "lastNotification": {
        "type": "string",
        "description": "Last Notification"
      },
      "lastResponse": {
        "type": "object",
        "description": "Last Response",
        "properties": {
          "contact": {
            "type": "string",
            "description": "The contact value"
          },
          "admin": {
            "type": "string",
            "description": "The admin value"
          }
        }
      },
      "latestComment": {
        "type": "string",
        "description": "Latest Comment"
      },
      "latestPublicComment": {
        "type": "string",
        "description": "Latest Public Comment"
      },
      "lexorank": {
        "type": "string",
        "description": "The lexorank value"
      },
      "linkedTickets": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Linked Tickets"
      },
      "manuallyAdded": {
        "type": "boolean",
        "description": "Manually Added"
      },
      "mentions": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "The mentions value"
      },
      "metaData": {
        "description": "Meta Data"
      },
      "needInitialPush": {
        "type": "boolean",
        "description": "Need Initial Push"
      },
      "noHumanInteraction": {
        "type": "boolean",
        "description": "No Human Interaction"
      },
      "notificationsUnread": {
        "type": "boolean",
        "description": "Notifications Unread"
      },
      "organisation": {
        "type": "string",
        "description": "The organisation value"
      },
      "originalEmailContent": {
        "type": "string",
        "description": "Original Email Content"
      },
      "outbound": {
        "type": "string",
        "description": "The outbound value"
      },
      "plainContent": {
        "type": "string",
        "description": "Plain Content"
      },
      "priority": {
        "type": "string",
        "description": "The priority value",
        "enum": [
          "LOW",
          "MEDIUM",
          "HIGH"
        ]
      },
      "processingTeam": {
        "type": "string",
        "description": "Processing Team"
      },
      "processingUser": {
        "type": "string",
        "description": "Processing User"
      },
      "queued": {
        "type": "boolean",
        "description": "The queued value"
      },
      "queuedAt": {
        "type": "string",
        "description": "Queued At"
      },
      "replay": {
        "description": "The replay value"
      },
      "replayDataUrl": {
        "type": "string",
        "description": "Replay Data Url"
      },
      "replayLive": {
        "type": "boolean",
        "description": "Replay Live"
      },
      "replayRenderingFailed": {
        "type": "boolean",
        "description": "Replay Rendering Failed"
      },
      "replayRenderingStartedAt": {
        "type": "string",
        "description": "Replay Rendering Started At"
      },
      "replayStartDate": {
        "type": "string",
        "description": "Replay Start Date"
      },
      "replayUrl": {
        "type": "string",
        "description": "Replay Url"
      },
      "score": {
        "type": "number",
        "description": "The score value"
      },
      "screenRecordingUrl": {
        "type": "string",
        "description": "Screen Recording Url"
      },
      "screenshotBroke": {
        "type": "string",
        "description": "Screenshot Broke"
      },
      "screenshotDataUrl": {
        "description": "Screenshot Data Url"
      },
      "screenshotLive": {
        "type": "boolean",
        "description": "Screenshot Live"
      },
      "screenshotRenderingFailed": {
        "type": "boolean",
        "description": "Screenshot Rendering Failed"
      },
      "screenshotUrl": {
        "type": "string",
        "description": "Screenshot Url"
      },
      "secretShareToken": {
        "type": "string",
        "description": "Secret Share Token"
      },
      "sentiment": {
        "type": "string",
        "description": "The sentiment value",
        "enum": [
          "positive",
          "negative",
          "neutral"
        ]
      },
      "session": {
        "description": "The session value"
      },
      "sessionNotificationsUnread": {
        "type": "boolean",
        "description": "Session Notifications Unread"
      },
      "sessions": {
        "type": "array",
        "description": "The sessions value"
      },
      "shareToken": {
        "type": "string",
        "description": "Share Token"
      },
      "slaBreached": {
        "type": "boolean",
        "description": "Sla Breached"
      },
      "snoozed": {
        "type": "boolean",
        "description": "The snoozed value"
      },
      "snoozedUntil": {
        "type": "string",
        "description": "Snoozed Until"
      },
      "status": {
        "type": "string",
        "description": "The status value"
      },
      "tags": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "The tags value"
      },
      "title": {
        "type": "string",
        "description": "The title value"
      },
      "type": {
        "type": "string",
        "description": "The type value"
      },
      "upvotes": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "email": {
              "type": "string",
              "description": "The email value"
            }
          }
        },
        "description": "The upvotes value"
      },
      "upvotesCount": {
        "type": "number",
        "description": "Upvotes Count"
      }
    },
    "required": [
      "PCID",
      "ticketId",
      "project"
    ]
  }
  ```
</Expandable>

***

## gleap\_tickets\_vote\_for\_ticket

Vote for ticket

**Parameters:**

| Parameter  | Type   | Required | Default | Description     |
| ---------- | ------ | -------- | ------- | --------------- |
| `ticketId` | string | Yes      | —       | Ticket Id       |
| `email`    | string | Yes      | —       | The email value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ticketId": {
        "type": "string",
        "description": "Ticket Id"
      },
      "email": {
        "type": "string",
        "description": "The email value"
      }
    },
    "required": [
      "PCID",
      "ticketId",
      "email"
    ]
  }
  ```
</Expandable>
